1. Deposit
Payland API v2
  • API Response Codes and Messages
  • Credit Card Info & Test Cards
  • Withdraw Info
  • Deposit
    • Create Deposit (Bank Transfer)
      POST
    • Create Deposit (Credit Card)
      POST
    • Create Deposit (Crypto)
      POST
    • Check Deposit Status
      GET
  • Withdraw
    • Create Withdraw (Bank Transfer)
      POST
    • Check Withdrawal Status
      GET
  • Callback
    • Callback Request
      POST
  1. Deposit

Create Deposit (Credit Card)

POST
/api/v2/deposit

Request

Header Params

Body Params application/json

Examples

Responses

🟠422
application/json
Body

🟢200
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.payland.info/api/v2/deposit' \
--header 'x-api-key: {{api_key}}' \
--header 'x-secret-key: {{secret_key}}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
    "transaction_id": "5317f3cb-f2d8-4942-9aa3-16945b06781a",
    "first_name": "John",
    "last_name": "Doe",
    "username": "johndoe",
    "email": "john@example.com",
    "phone": "+905551234567",
    "amount": 250,
    "currency": "EUR",
    "payment_method": "credit_card",
    "payment_type": "three_d_secure",
    "callback_url": "https://www.site.com/callback/payland",
    "success_url": "https://www.site.com/success",
    "failure_url": "https://www.site.com/failure/",
    "card_holder": "John Doe",
    "card_number": "4111111111111111",
    "exp_month": "01",
    "exp_year": "30",
    "cvv": "000"
}'
Response Response Example
422 - Failure
{
    "success": false,
    "message": "The given data was invalid",
    "errors": {
        "transaction_id": [
            "The transaction_id has already been taken for this merchant."
        ]
    },
    "code": 422
}
Modified at 2026-02-22 11:06:24
Previous
Create Deposit (Bank Transfer)
Next
Create Deposit (Crypto)
Built with